Skip to main content
GET
/
api
/
v1
/
documents
List documents
curl --request GET \
  --url https://sandbox.api.nkama.ga/api/v1/documents \
  --header 'Authorization: Bearer <token>'
[
  {
    "certificateRef": "<string>",
    "certifiedOn": "2023-12-25",
    "expiresOn": "2023-12-25",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "mediaObjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
]

Authorizations

Authorization
string
header
required

Bearer access token (JWT) issued by Keycloak or the sandbox token endpoint.

Query Parameters

subjectId
string<uuid>

Optional booking or invoice id to filter by

Response

Documents for the organization

certificateRef
string
certifiedOn
string<date>
certifyingAuthority
enum<string>
Available options:
POLICE,
MAIRIE,
NOTARY,
NONE
documentType
enum<string>
Available options:
NATIONAL_ID,
PASSPORT,
RESIDENCE_PERMIT,
DRIVER_LICENSE
expiresOn
string<date>
id
string<uuid>
mediaObjectId
string<uuid>
role
enum<string>
Available options:
SELF_ID,
PROOF_OF_OWNERSHIP,
ATTESTATION,
OWNER_MANDATE,
OWNER_ID,
OTHER